QGIS Application - Bug report #2465
Georeferencer: does not correctly handle files with existing georeferencing information
2010-02-23 09:15 AM - mmassing -

Status: Closed

Priority: Normal

Assignee: mmassing -

Category: C++ Plugins

Affected QGIS version:master Regression?: No
Operating System: Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 12525
Description

When opening an already georeferenced raster, any added GCPs
are expressed in geocoordinates instead of pixel coordinates,

and the derived coordinate transform used for the warp is therefore
incorrect in general.

History

#1 - 2010-06-12 02:37 AM - mmassing -

We discussed a possible workaround in http:/lists.osgeo.org/pipermail/qgis-developer/2010-May/009825.html, but as the solution does not seem very

clean | hope to address the problem as part of some other pending changes to the georeferencer.

Moving back to 1.6 for now.

#2 - 2011-06-26 11:32 AM - Luiz Motta

- File georeferencer_26jun2011.zip added
- Priority changed from Low to Normal

- Start date set to 2011-06-26

| made some changes in georeferencer plugin to work with georeferenced image.

Too, i changed the coordinates showed in GCP table, now, the coordinate is the same showed in window of georeference plugin.
The next steps are the corrections:

1) The lenght of line residual (red color) in window of georeference plugin for the case use georeferenced image.

2) Correct the script for GDAL

3) Add the raster toolbar with histogram stretch functions inside georeference windows.

In attached (georeferencer_26jun2011.zip) the sources of Georeference with the list of exit of diff command.
Usage of diff:

diff /nome/Imotta/dev/cpp/qgis-Quantum-GlIS-b9f4c15/src/plugins/georeferencer /home/Imotta/dev/cpp/qgis_plugin/georeferencer >
diff_georeference_26june2011.txt

#3 - 2011-06-26 09:15 PM - Luiz Motta
- File georeferencer_27jun2011.zip_ added

Concluded the step 3 (Add the raster toolbar with histogram stretch functions) and added the EPSG code for image with georeference in status bar.
In attached (georeferencer_27jun2011.zip) the sources of Georeference with the list of exit of diff command.

Usage of diff:

diff /home/Imotta/dev/cpp/qgis-Quantum-GlIS-b9f4c15/src/plugins/georeferencer /home/Imotta/dev/cpp/qgis_plugin/georeferencer >
diff_georeference_27june2011.ixt

#4 - 2011-06-28 05:01 AM - Luiz Motta
- File Georeference_path.png added

Capture screen of Georeference Plugin with the path(georeferencer_27jun2011.zip) running:

#5 - 2011-12-16 01:57 PM - Giovanni Manghi

- Target version changed from Version 1.7.0 to Version 1.7.4

#6 - 2011-12-24 08:08 AM - Giovanni Manghi

- Affected QGIS version set to master

- Crashes QGIS or corrupts data set to No

- Pull Request or Patch supplied set to Yes

Can someone review and apply the patch?

#7 - 2012-03-12 02:36 AM - Andrea Pacifici

I ran into this problem several times. This bug is a big problem for my work (planetary geology) and forces me to use other softwares to get around the
problem. | hope this patch will be applied ASAP.

Giovanni Manghi wrote:

Can someone review and apply the patch?

#8 - 2012-03-12 10:47 AM - Giovanni Manghi
- Operating System deleted (All)
- Status info deleted (0)

Luiz Motta wrote:

Concluded the step 3 (Add the raster toolbar with histogram stretch functions) and added the EPSG code for image with georeference in status bar.

In attached (georeferencer_27jun2011.zip) the sources of Georeference with the list of exit of diff command.

Usage of diff:

diff /home/Imotta/dev/cpp/qgis-Quantum-GIS-b9f4c15/src/plugins/georeferencer /home/Imotta/dev/cpp/qqgis_plugin/georeferencer >
diff_georeference_27june2011.txt

dear Luiz, | would like to test your patch but | cannot make to apply it. It was made using diff? Thanks in advance.
#9 - 2012-03-14 12:34 PM - Giovanni Manghi
- Status changed from Open to Feedback

Luiz Motta wrote:

Usage of diff:

diff_georeference_27june2011.txt

When | try to apply the patch | get

patch: ** Only garbage was found in the patch input.

Can you help?

#10 - 2012-04-16 06:24 AM - Paolo Cavallini

- Target version changed from Version 1.7.4 to Version 1.8.0

#11 - 2012-09-04 12:02 PM - Paolo Cavallini
- Target version changed from Version 1.8.0 to Version 2.0.0

#12 - 2012-09-10 04:42 AM - Magnus Homann

- Status changed from Feedback to Closed

Patch included in

847cae91118b6046ecele06ea3103fe59467832f

and seeems to work! Thanks!

Files

In attached (georeferencer_27jun2011.zip) the sources of Georeference with the list of exit of diff command.

diff /home/Imotta/dev/cpp/qgis-Quantum-GIS-b9f4c15/src/plugins/georeferencer /home/Imotta/dev/cpp/qgis_plugin/georeferencer >

Concluded the step 3 (Add the raster toolbar with histogram stretch functions) and added the EPSG code for image with georeference in status bar.
